{
  "codeName" : "Usr",
  "controlType" : "LIST",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSLISTS/Usr.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "Usr",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdelists/Usr",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "list",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_list",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "Import"
  },
  "getPSDEListDataItems" : [ {
    "dataType" : 25,
    "name" : "srfdate",
    "getPSAppDEField" : {
      "name" : "ORDERTIME",
      "codeName" : "OrderTime"
    }
  }, {
    "dataType" : 25,
    "name" : "srficon",
    "getPSAppDEField" : {
      "name" : "TP",
      "codeName" : "Tp"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdescription",
    "getPSAppDEField" : {
      "name" : "OPINION",
      "codeName" : "Opinion"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizcustomerid",
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERID",
      "codeName" : "IBIZCustomerId"
    }
  }, {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTEP.json"
    },
    "name" : "wfstep",
    "getPSAppDEField" : {
      "name" : "WFSTEP",
      "codeName" : "WFStep"
    }
  }, {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
    },
    "name" : "orderstate",
    "getPSAppDEField" : {
      "name" : "ORDERSTATE",
      "codeName" : "OrderState"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "pagingSize" : 1000,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderListView/psappviewctrls/list",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "enableGroup" : false,
  "enableRowEdit" : false,
  "enableRowEditGroup" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "noSort" : false,
  "showHeader" : true,
  "modelid" : "d797b36a27864f7d948b433b9f880306",
  "modeltype" : "PSDELIST"
}